ProxyWhirl Docs
OpenapiPool Management

Get proxy by ID

GET
/api/proxies/{proxy_id}

Get details of a specific proxy.

Args: proxy_id: Proxy identifier rotator: ProxyWhirl dependency api_key: API key verification

Returns: Proxy resource

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Path Parameters

proxy_id*Proxy Id

Response Body

application/json

application/json

curl -X GET "https://example.com/api/proxies/string"
{
  "data": {
    "message": "Operation completed successfully"
  },
  "meta": {
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "timestamp": "2025-10-27T12:00:00Z",
    "version": "1.0.0"
  },
  "status": "success"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}